Changed builtin dlls file names to make it clear they are not normal
Unix libraries, and install them in $libdir/wine instead of $libdir to
avoid name conflicts in /usr/lib.
diff --git a/configure b/configure
index 6b88ecc..6635f37 100755
--- a/configure
+++ b/configure
@@ -7678,15 +7678,17 @@
if test "$LIBEXT" = "so"; then
DLLFLAGS="-fPIC"
+ DLLEXT=".so"
LDPATH="LD_LIBRARY_PATH=\"\$(TOPOBJDIR)/unicode:\$\$LD_LIBRARY_PATH\""
elif test "$LIBEXT" = "dll"; then
#DLLFLAGS="-fPIC" # -fPIC doesn't work(at least in cygwin-b20) - FIXME
+ DLLEXT=""
LDPATH="PATH=\"\$(TOPOBJDIR)/unicode:\$\$PATH\""
fi
wine_cv_libc_reentrant=no
- echo "$as_me:7689: checking for reentrant libc: __errno_location" >&5
+ echo "$as_me:7691: checking for reentrant libc: __errno_location" >&5
echo $ECHO_N "checking for reentrant libc: __errno_location... $ECHO_C" >&6
if test "${wine_cv_libc_r___errno_location+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -7695,7 +7697,7 @@
wine_cv_libc_r___errno_location=yes
else
cat >conftest.$ac_ext <<_ACEOF
-#line 7698 "configure"
+#line 7700 "configure"
#include "confdefs.h"
int myerrno = 0;
char buf[256];
@@ -7703,15 +7705,15 @@
main(){connect(0,buf,255); exit(!myerrno);}
_ACEOF
rm -f conftest$ac_exeext
-if { (eval echo "$as_me:7706: \"$ac_link\"") >&5
+if { (eval echo "$as_me:7708: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:7709: \$? = $ac_status" >&5
+ echo "$as_me:7711: \$? = $ac_status" >&5
(exit $ac_status); } && { ac_try='./conftest$ac_exeext'
- { (eval echo "$as_me:7711: \"$ac_try\"") >&5
+ { (eval echo "$as_me:7713: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:7714: \$? = $ac_status" >&5
+ echo "$as_me:7716: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
wine_cv_libc_r___errno_location=yes
else
@@ -7724,14 +7726,14 @@
fi
fi
-echo "$as_me:7727: result: $wine_cv_libc_r___errno_location" >&5
+echo "$as_me:7729: result: $wine_cv_libc_r___errno_location" >&5
echo "${ECHO_T}$wine_cv_libc_r___errno_location" >&6
if test "$wine_cv_libc_r___errno_location" = "yes"
then
wine_cv_libc_reentrant=__errno_location
fi
- echo "$as_me:7734: checking for reentrant libc: __error" >&5
+ echo "$as_me:7736: checking for reentrant libc: __error" >&5
echo $ECHO_N "checking for reentrant libc: __error... $ECHO_C" >&6
if test "${wine_cv_libc_r___error+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -7740,7 +7742,7 @@
wine_cv_libc_r___error=yes
else
cat >conftest.$ac_ext <<_ACEOF
-#line 7743 "configure"
+#line 7745 "configure"
#include "confdefs.h"
int myerrno = 0;
char buf[256];
@@ -7748,15 +7750,15 @@
main(){connect(0,buf,255); exit(!myerrno);}
_ACEOF
rm -f conftest$ac_exeext
-if { (eval echo "$as_me:7751: \"$ac_link\"") >&5
+if { (eval echo "$as_me:7753: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:7754: \$? = $ac_status" >&5
+ echo "$as_me:7756: \$? = $ac_status" >&5
(exit $ac_status); } && { ac_try='./conftest$ac_exeext'
- { (eval echo "$as_me:7756: \"$ac_try\"") >&5
+ { (eval echo "$as_me:7758: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:7759: \$? = $ac_status" >&5
+ echo "$as_me:7761: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
wine_cv_libc_r___error=yes
else
@@ -7769,14 +7771,14 @@
fi
fi
-echo "$as_me:7772: result: $wine_cv_libc_r___error" >&5
+echo "$as_me:7774: result: $wine_cv_libc_r___error" >&5
echo "${ECHO_T}$wine_cv_libc_r___error" >&6
if test "$wine_cv_libc_r___error" = "yes"
then
wine_cv_libc_reentrant=__error
fi
- echo "$as_me:7779: checking for reentrant libc: ___errno" >&5
+ echo "$as_me:7781: checking for reentrant libc: ___errno" >&5
echo $ECHO_N "checking for reentrant libc: ___errno... $ECHO_C" >&6
if test "${wine_cv_libc_r____errno+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -7785,7 +7787,7 @@
wine_cv_libc_r____errno=yes
else
cat >conftest.$ac_ext <<_ACEOF
-#line 7788 "configure"
+#line 7790 "configure"
#include "confdefs.h"
int myerrno = 0;
char buf[256];
@@ -7793,15 +7795,15 @@
main(){connect(0,buf,255); exit(!myerrno);}
_ACEOF
rm -f conftest$ac_exeext
-if { (eval echo "$as_me:7796: \"$ac_link\"") >&5
+if { (eval echo "$as_me:7798: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:7799: \$? = $ac_status" >&5
+ echo "$as_me:7801: \$? = $ac_status" >&5
(exit $ac_status); } && { ac_try='./conftest$ac_exeext'
- { (eval echo "$as_me:7801: \"$ac_try\"") >&5
+ { (eval echo "$as_me:7803: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:7804: \$? = $ac_status" >&5
+ echo "$as_me:7806: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
wine_cv_libc_r____errno=yes
else
@@ -7814,14 +7816,14 @@
fi
fi
-echo "$as_me:7817: result: $wine_cv_libc_r____errno" >&5
+echo "$as_me:7819: result: $wine_cv_libc_r____errno" >&5
echo "${ECHO_T}$wine_cv_libc_r____errno" >&6
if test "$wine_cv_libc_r____errno" = "yes"
then
wine_cv_libc_reentrant=___errno
fi
- echo "$as_me:7824: checking for reentrant libc: __thr_errno" >&5
+ echo "$as_me:7826: checking for reentrant libc: __thr_errno" >&5
echo $ECHO_N "checking for reentrant libc: __thr_errno... $ECHO_C" >&6
if test "${wine_cv_libc_r___thr_errno+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -7830,7 +7832,7 @@
wine_cv_libc_r___thr_errno=yes
else
cat >conftest.$ac_ext <<_ACEOF
-#line 7833 "configure"
+#line 7835 "configure"
#include "confdefs.h"
int myerrno = 0;
char buf[256];
@@ -7838,15 +7840,15 @@
main(){connect(0,buf,255); exit(!myerrno);}
_ACEOF
rm -f conftest$ac_exeext
-if { (eval echo "$as_me:7841: \"$ac_link\"") >&5
+if { (eval echo "$as_me:7843: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:7844: \$? = $ac_status" >&5
+ echo "$as_me:7846: \$? = $ac_status" >&5
(exit $ac_status); } && { ac_try='./conftest$ac_exeext'
- { (eval echo "$as_me:7846: \"$ac_try\"") >&5
+ { (eval echo "$as_me:7848: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:7849: \$? = $ac_status" >&5
+ echo "$as_me:7851: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
wine_cv_libc_r___thr_errno=yes
else
@@ -7859,14 +7861,14 @@
fi
fi
-echo "$as_me:7862: result: $wine_cv_libc_r___thr_errno" >&5
+echo "$as_me:7864: result: $wine_cv_libc_r___thr_errno" >&5
echo "${ECHO_T}$wine_cv_libc_r___thr_errno" >&6
if test "$wine_cv_libc_r___thr_errno" = "yes"
then
wine_cv_libc_reentrant=__thr_errno
fi
- echo "$as_me:7869: checking for reentrant libc: __errno" >&5
+ echo "$as_me:7871: checking for reentrant libc: __errno" >&5
echo $ECHO_N "checking for reentrant libc: __errno... $ECHO_C" >&6
if test "${wine_cv_libc_r___errno+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -7875,7 +7877,7 @@
wine_cv_libc_r___errno=yes
else
cat >conftest.$ac_ext <<_ACEOF
-#line 7878 "configure"
+#line 7880 "configure"
#include "confdefs.h"
int myerrno = 0;
char buf[256];
@@ -7883,15 +7885,15 @@
main(){connect(0,buf,255); exit(!myerrno);}
_ACEOF
rm -f conftest$ac_exeext
-if { (eval echo "$as_me:7886: \"$ac_link\"") >&5
+if { (eval echo "$as_me:7888: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:7889: \$? = $ac_status" >&5
+ echo "$as_me:7891: \$? = $ac_status" >&5
(exit $ac_status); } && { ac_try='./conftest$ac_exeext'
- { (eval echo "$as_me:7891: \"$ac_try\"") >&5
+ { (eval echo "$as_me:7893: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:7894: \$? = $ac_status" >&5
+ echo "$as_me:7896: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
wine_cv_libc_r___errno=yes
else
@@ -7904,7 +7906,7 @@
fi
fi
-echo "$as_me:7907: result: $wine_cv_libc_r___errno" >&5
+echo "$as_me:7909: result: $wine_cv_libc_r___errno" >&5
echo "${ECHO_T}$wine_cv_libc_r___errno" >&6
if test "$wine_cv_libc_r___errno" = "yes"
then
@@ -7922,7 +7924,7 @@
if test "$have_x" = "yes" -a "$wine_cv_libc_reentrant" != "no"
then
-echo "$as_me:7925: checking for reentrant X libraries" >&5
+echo "$as_me:7927: checking for reentrant X libraries" >&5
echo $ECHO_N "checking for reentrant X libraries... $ECHO_C" >&6
if test "${wine_cv_x_reentrant+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -7954,7 +7956,7 @@
fi
fi
fi
-echo "$as_me:7957: result: $wine_cv_x_reentrant" >&5
+echo "$as_me:7959: result: $wine_cv_x_reentrant" >&5
echo "${ECHO_T}$wine_cv_x_reentrant" >&6
else
wine_cv_x_reentrant=no
@@ -7970,13 +7972,13 @@
# The Ultrix 4.2 mips builtin alloca declared by alloca.h only works
# for constant arguments. Useless!
-echo "$as_me:7973: checking for working alloca.h" >&5
+echo "$as_me:7975: checking for working alloca.h" >&5
echo $ECHO_N "checking for working alloca.h... $ECHO_C" >&6
if test "${ac_cv_working_alloca_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 7979 "configure"
+#line 7981 "configure"
#include "confdefs.h"
#include <alloca.h>
int
@@ -7988,16 +7990,16 @@
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:7991: \"$ac_link\"") >&5
+if { (eval echo "$as_me:7993: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:7994: \$? = $ac_status" >&5
+ echo "$as_me:7996: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:7997: \"$ac_try\"") >&5
+ { (eval echo "$as_me:7999: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:8000: \$? = $ac_status" >&5
+ echo "$as_me:8002: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_working_alloca_h=yes
else
@@ -8007,7 +8009,7 @@
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
fi
-echo "$as_me:8010: result: $ac_cv_working_alloca_h" >&5
+echo "$as_me:8012: result: $ac_cv_working_alloca_h" >&5
echo "${ECHO_T}$ac_cv_working_alloca_h" >&6
if test $ac_cv_working_alloca_h = yes; then
@@ -8017,13 +8019,13 @@
fi
-echo "$as_me:8020: checking for alloca" >&5
+echo "$as_me:8022: checking for alloca" >&5
echo $ECHO_N "checking for alloca... $ECHO_C" >&6
if test "${ac_cv_func_alloca_works+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 8026 "configure"
+#line 8028 "configure"
#include "confdefs.h"
#ifdef __GNUC__
# define alloca __builtin_alloca
@@ -8055,16 +8057,16 @@
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:8058: \"$ac_link\"") >&5
+if { (eval echo "$as_me:8060: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:8061: \$? = $ac_status" >&5
+ echo "$as_me:8063: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:8064: \"$ac_try\"") >&5
+ { (eval echo "$as_me:8066: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:8067: \$? = $ac_status" >&5
+ echo "$as_me:8069: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_func_alloca_works=yes
else
@@ -8074,7 +8076,7 @@
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
fi
-echo "$as_me:8077: result: $ac_cv_func_alloca_works" >&5
+echo "$as_me:8079: result: $ac_cv_func_alloca_works" >&5
echo "${ECHO_T}$ac_cv_func_alloca_works" >&6
if test $ac_cv_func_alloca_works = yes; then
@@ -8095,13 +8097,13 @@
#define C_ALLOCA 1
EOF
-echo "$as_me:8098: checking whether \`alloca.c' needs Cray hooks" >&5
+echo "$as_me:8100: checking whether \`alloca.c' needs Cray hooks" >&5
echo $ECHO_N "checking whether \`alloca.c' needs Cray hooks... $ECHO_C" >&6
if test "${ac_cv_os_cray+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 8104 "configure"
+#line 8106 "configure"
#include "confdefs.h"
#if defined(CRAY) && ! defined(CRAY2)
webecray
@@ -8119,18 +8121,18 @@
rm -f conftest*
fi
-echo "$as_me:8122: result: $ac_cv_os_cray" >&5
+echo "$as_me:8124: result: $ac_cv_os_cray" >&5
echo "${ECHO_T}$ac_cv_os_cray" >&6
if test $ac_cv_os_cray = yes; then
for ac_func in _getb67 GETB67 getb67; do
as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-echo "$as_me:8127: checking for $ac_func" >&5
+echo "$as_me:8129: checking for $ac_func" >&5
echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
if eval "test \"\${$as_ac_var+set}\" = set"; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 8133 "configure"
+#line 8135 "configure"
#include "confdefs.h"
/* System header to define __stub macros and hopefully few prototypes,
which can conflict with char $ac_func (); below. */
@@ -8161,16 +8163,16 @@
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:8164: \"$ac_link\"") >&5
+if { (eval echo "$as_me:8166: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:8167: \$? = $ac_status" >&5
+ echo "$as_me:8169: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:8170: \"$ac_try\"") >&5
+ { (eval echo "$as_me:8172: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:8173: \$? = $ac_status" >&5
+ echo "$as_me:8175: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
eval "$as_ac_var=yes"
else
@@ -8180,7 +8182,7 @@
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
fi
-echo "$as_me:8183: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "$as_me:8185: result: `eval echo '${'$as_ac_var'}'`" >&5
echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
if test `eval echo '${'$as_ac_var'}'` = yes; then
@@ -8194,7 +8196,7 @@
done
fi
-echo "$as_me:8197: checking stack direction for C alloca" >&5
+echo "$as_me:8199: checking stack direction for C alloca" >&5
echo $ECHO_N "checking stack direction for C alloca... $ECHO_C" >&6
if test "${ac_cv_c_stack_direction+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -8203,7 +8205,7 @@
ac_cv_c_stack_direction=0
else
cat >conftest.$ac_ext <<_ACEOF
-#line 8206 "configure"
+#line 8208 "configure"
#include "confdefs.h"
int
find_stack_direction ()
@@ -8226,15 +8228,15 @@
}
_ACEOF
rm -f conftest$ac_exeext
-if { (eval echo "$as_me:8229: \"$ac_link\"") >&5
+if { (eval echo "$as_me:8231: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:8232: \$? = $ac_status" >&5
+ echo "$as_me:8234: \$? = $ac_status" >&5
(exit $ac_status); } && { ac_try='./conftest$ac_exeext'
- { (eval echo "$as_me:8234: \"$ac_try\"") >&5
+ { (eval echo "$as_me:8236: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:8237: \$? = $ac_status" >&5
+ echo "$as_me:8239: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_c_stack_direction=1
else
@@ -8246,7 +8248,7 @@
rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
fi
fi
-echo "$as_me:8249: result: $ac_cv_c_stack_direction" >&5
+echo "$as_me:8251: result: $ac_cv_c_stack_direction" >&5
echo "${ECHO_T}$ac_cv_c_stack_direction" >&6
cat >>confdefs.h <<EOF
@@ -8302,13 +8304,13 @@
do
as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-echo "$as_me:8305: checking for $ac_func" >&5
+echo "$as_me:8307: checking for $ac_func" >&5
echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
if eval "test \"\${$as_ac_var+set}\" = set"; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 8311 "configure"
+#line 8313 "configure"
#include "confdefs.h"
/* System header to define __stub macros and hopefully few prototypes,
which can conflict with char $ac_func (); below. */
@@ -8339,16 +8341,16 @@
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:8342: \"$ac_link\"") >&5
+if { (eval echo "$as_me:8344: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:8345: \$? = $ac_status" >&5
+ echo "$as_me:8347: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:8348: \"$ac_try\"") >&5
+ { (eval echo "$as_me:8350: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:8351: \$? = $ac_status" >&5
+ echo "$as_me:8353: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
eval "$as_ac_var=yes"
else
@@ -8358,7 +8360,7 @@
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
fi
-echo "$as_me:8361: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "$as_me:8363: result: `eval echo '${'$as_ac_var'}'`" >&5
echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
if test `eval echo '${'$as_ac_var'}'` = yes; then
cat >>confdefs.h <<EOF
@@ -8430,23 +8432,23 @@
do
as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:8433: checking for $ac_header" >&5
+echo "$as_me:8435: checking for $ac_header" >&5
echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
if eval "test \"\${$as_ac_Header+set}\" = set"; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 8439 "configure"
+#line 8441 "configure"
#include "confdefs.h"
#include <$ac_header>
_ACEOF
-if { (eval echo "$as_me:8443: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:8445: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
egrep -v '^ *\+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
- echo "$as_me:8449: \$? = $ac_status" >&5
+ echo "$as_me:8451: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
@@ -8465,7 +8467,7 @@
fi
rm -f conftest.err conftest.$ac_ext
fi
-echo "$as_me:8468: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:8470: result: `eval echo '${'$as_ac_Header'}'`" >&5
echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
if test `eval echo '${'$as_ac_Header'}'` = yes; then
cat >>confdefs.h <<EOF
@@ -8475,13 +8477,13 @@
fi
done
-echo "$as_me:8478: checking whether stat file-mode macros are broken" >&5
+echo "$as_me:8480: checking whether stat file-mode macros are broken" >&5
echo $ECHO_N "checking whether stat file-mode macros are broken... $ECHO_C" >&6
if test "${ac_cv_header_stat_broken+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 8484 "configure"
+#line 8486 "configure"
#include "confdefs.h"
#include <sys/types.h>
#include <sys/stat.h>
@@ -8520,7 +8522,7 @@
rm -f conftest*
fi
-echo "$as_me:8523: result: $ac_cv_header_stat_broken" >&5
+echo "$as_me:8525: result: $ac_cv_header_stat_broken" >&5
echo "${ECHO_T}$ac_cv_header_stat_broken" >&6
if test $ac_cv_header_stat_broken = yes; then
@@ -8530,7 +8532,7 @@
fi
-echo "$as_me:8533: checking for $CC option to accept ANSI C" >&5
+echo "$as_me:8535: checking for $CC option to accept ANSI C" >&5
echo $ECHO_N "checking for $CC option to accept ANSI C... $ECHO_C" >&6
if test "${ac_cv_prog_cc_stdc+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -8538,7 +8540,7 @@
ac_cv_prog_cc_stdc=no
ac_save_CC=$CC
cat >conftest.$ac_ext <<_ACEOF
-#line 8541 "configure"
+#line 8543 "configure"
#include "confdefs.h"
#include <stdarg.h>
#include <stdio.h>
@@ -8587,16 +8589,16 @@
do
CC="$ac_save_CC $ac_arg"
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:8590: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:8592: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:8593: \$? = $ac_status" >&5
+ echo "$as_me:8595: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:8596: \"$ac_try\"") >&5
+ { (eval echo "$as_me:8598: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:8599: \$? = $ac_status" >&5
+ echo "$as_me:8601: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_prog_cc_stdc=$ac_arg
break
@@ -8613,21 +8615,21 @@
case "x$ac_cv_prog_cc_stdc" in
x|xno)
- echo "$as_me:8616: result: none needed" >&5
+ echo "$as_me:8618: result: none needed" >&5
echo "${ECHO_T}none needed" >&6 ;;
*)
- echo "$as_me:8619: result: $ac_cv_prog_cc_stdc" >&5
+ echo "$as_me:8621: result: $ac_cv_prog_cc_stdc" >&5
echo "${ECHO_T}$ac_cv_prog_cc_stdc" >&6
CC="$CC $ac_cv_prog_cc_stdc" ;;
esac
-echo "$as_me:8624: checking for an ANSI C-conforming const" >&5
+echo "$as_me:8626: checking for an ANSI C-conforming const" >&5
echo $ECHO_N "checking for an ANSI C-conforming const... $ECHO_C" >&6
if test "${ac_cv_c_const+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 8630 "configure"
+#line 8632 "configure"
#include "confdefs.h"
int
@@ -8685,16 +8687,16 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:8688: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:8690: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:8691: \$? = $ac_status" >&5
+ echo "$as_me:8693: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:8694: \"$ac_try\"") >&5
+ { (eval echo "$as_me:8696: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:8697: \$? = $ac_status" >&5
+ echo "$as_me:8699: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_c_const=yes
else
@@ -8704,7 +8706,7 @@
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:8707: result: $ac_cv_c_const" >&5
+echo "$as_me:8709: result: $ac_cv_c_const" >&5
echo "${ECHO_T}$ac_cv_c_const" >&6
if test $ac_cv_c_const = no; then
@@ -8714,7 +8716,7 @@
fi
-echo "$as_me:8717: checking for inline" >&5
+echo "$as_me:8719: checking for inline" >&5
echo $ECHO_N "checking for inline... $ECHO_C" >&6
if test "${ac_cv_c_inline+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -8722,7 +8724,7 @@
ac_cv_c_inline=no
for ac_kw in inline __inline__ __inline; do
cat >conftest.$ac_ext <<_ACEOF
-#line 8725 "configure"
+#line 8727 "configure"
#include "confdefs.h"
#ifndef __cplusplus
static $ac_kw int static_foo () {return 0; }
@@ -8731,16 +8733,16 @@
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:8734: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:8736: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:8737: \$? = $ac_status" >&5
+ echo "$as_me:8739: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:8740: \"$ac_try\"") >&5
+ { (eval echo "$as_me:8742: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:8743: \$? = $ac_status" >&5
+ echo "$as_me:8745: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_c_inline=$ac_kw; break
else
@@ -8751,7 +8753,7 @@
done
fi
-echo "$as_me:8754: result: $ac_cv_c_inline" >&5
+echo "$as_me:8756: result: $ac_cv_c_inline" >&5
echo "${ECHO_T}$ac_cv_c_inline" >&6
case $ac_cv_c_inline in
inline | yes) ;;
@@ -8766,13 +8768,13 @@
;;
esac
-echo "$as_me:8769: checking for ANSI C header files" >&5
+echo "$as_me:8771: checking for ANSI C header files" >&5
echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
if test "${ac_cv_header_stdc+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 8775 "configure"
+#line 8777 "configure"
#include "confdefs.h"
#include <stdlib.h>
#include <stdarg.h>
@@ -8780,13 +8782,13 @@
#include <float.h>
_ACEOF
-if { (eval echo "$as_me:8783: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:8785: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
egrep -v '^ *\+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
- echo "$as_me:8789: \$? = $ac_status" >&5
+ echo "$as_me:8791: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
@@ -8808,7 +8810,7 @@
if test $ac_cv_header_stdc = yes; then
# SunOS 4.x string.h does not declare mem*, contrary to ANSI.
cat >conftest.$ac_ext <<_ACEOF
-#line 8811 "configure"
+#line 8813 "configure"
#include "confdefs.h"
#include <string.h>
@@ -8826,7 +8828,7 @@
if test $ac_cv_header_stdc = yes; then
# ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
cat >conftest.$ac_ext <<_ACEOF
-#line 8829 "configure"
+#line 8831 "configure"
#include "confdefs.h"
#include <stdlib.h>
@@ -8847,7 +8849,7 @@
:
else
cat >conftest.$ac_ext <<_ACEOF
-#line 8850 "configure"
+#line 8852 "configure"
#include "confdefs.h"
#include <ctype.h>
#if ((' ' & 0x0FF) == 0x020)
@@ -8873,15 +8875,15 @@
}
_ACEOF
rm -f conftest$ac_exeext
-if { (eval echo "$as_me:8876: \"$ac_link\"") >&5
+if { (eval echo "$as_me:8878: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:8879: \$? = $ac_status" >&5
+ echo "$as_me:8881: \$? = $ac_status" >&5
(exit $ac_status); } && { ac_try='./conftest$ac_exeext'
- { (eval echo "$as_me:8881: \"$ac_try\"") >&5
+ { (eval echo "$as_me:8883: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:8884: \$? = $ac_status" >&5
+ echo "$as_me:8886: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
:
else
@@ -8894,7 +8896,7 @@
fi
fi
fi
-echo "$as_me:8897: result: $ac_cv_header_stdc" >&5
+echo "$as_me:8899: result: $ac_cv_header_stdc" >&5
echo "${ECHO_T}$ac_cv_header_stdc" >&6
if test $ac_cv_header_stdc = yes; then
@@ -8910,28 +8912,28 @@
inttypes.h stdint.h unistd.h
do
as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:8913: checking for $ac_header" >&5
+echo "$as_me:8915: checking for $ac_header" >&5
echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
if eval "test \"\${$as_ac_Header+set}\" = set"; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 8919 "configure"
+#line 8921 "configure"
#include "confdefs.h"
$ac_includes_default
#include <$ac_header>
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:8925: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:8927: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:8928: \$? = $ac_status" >&5
+ echo "$as_me:8930: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:8931: \"$ac_try\"") >&5
+ { (eval echo "$as_me:8933: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:8934: \$? = $ac_status" >&5
+ echo "$as_me:8936: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
eval "$as_ac_Header=yes"
else
@@ -8941,7 +8943,7 @@
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:8944: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:8946: result: `eval echo '${'$as_ac_Header'}'`" >&5
echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
if test `eval echo '${'$as_ac_Header'}'` = yes; then
cat >>confdefs.h <<EOF
@@ -8951,13 +8953,13 @@
fi
done
-echo "$as_me:8954: checking for mode_t" >&5
+echo "$as_me:8956: checking for mode_t" >&5
echo $ECHO_N "checking for mode_t... $ECHO_C" >&6
if test "${ac_cv_type_mode_t+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 8960 "configure"
+#line 8962 "configure"
#include "confdefs.h"
$ac_includes_default
int
@@ -8972,16 +8974,16 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:8975: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:8977: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:8978: \$? = $ac_status" >&5
+ echo "$as_me:8980: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:8981: \"$ac_try\"") >&5
+ { (eval echo "$as_me:8983: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:8984: \$? = $ac_status" >&5
+ echo "$as_me:8986: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_type_mode_t=yes
else
@@ -8991,7 +8993,7 @@
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:8994: result: $ac_cv_type_mode_t" >&5
+echo "$as_me:8996: result: $ac_cv_type_mode_t" >&5
echo "${ECHO_T}$ac_cv_type_mode_t" >&6
if test $ac_cv_type_mode_t = yes; then
:
@@ -9003,13 +9005,13 @@
fi
-echo "$as_me:9006: checking for off_t" >&5
+echo "$as_me:9008: checking for off_t" >&5
echo $ECHO_N "checking for off_t... $ECHO_C" >&6
if test "${ac_cv_type_off_t+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 9012 "configure"
+#line 9014 "configure"
#include "confdefs.h"
$ac_includes_default
int
@@ -9024,16 +9026,16 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9027: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9029: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:9030: \$? = $ac_status" >&5
+ echo "$as_me:9032: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:9033: \"$ac_try\"") >&5
+ { (eval echo "$as_me:9035: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:9036: \$? = $ac_status" >&5
+ echo "$as_me:9038: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_type_off_t=yes
else
@@ -9043,7 +9045,7 @@
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:9046: result: $ac_cv_type_off_t" >&5
+echo "$as_me:9048: result: $ac_cv_type_off_t" >&5
echo "${ECHO_T}$ac_cv_type_off_t" >&6
if test $ac_cv_type_off_t = yes; then
:
@@ -9055,13 +9057,13 @@
fi
-echo "$as_me:9058: checking for pid_t" >&5
+echo "$as_me:9060: checking for pid_t" >&5
echo $ECHO_N "checking for pid_t... $ECHO_C" >&6
if test "${ac_cv_type_pid_t+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 9064 "configure"
+#line 9066 "configure"
#include "confdefs.h"
$ac_includes_default
int
@@ -9076,16 +9078,16 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9079: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9081: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:9082: \$? = $ac_status" >&5
+ echo "$as_me:9084: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:9085: \"$ac_try\"") >&5
+ { (eval echo "$as_me:9087: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:9088: \$? = $ac_status" >&5
+ echo "$as_me:9090: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_type_pid_t=yes
else
@@ -9095,7 +9097,7 @@
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:9098: result: $ac_cv_type_pid_t" >&5
+echo "$as_me:9100: result: $ac_cv_type_pid_t" >&5
echo "${ECHO_T}$ac_cv_type_pid_t" >&6
if test $ac_cv_type_pid_t = yes; then
:
@@ -9107,13 +9109,13 @@
fi
-echo "$as_me:9110: checking for size_t" >&5
+echo "$as_me:9112: checking for size_t" >&5
echo $ECHO_N "checking for size_t... $ECHO_C" >&6
if test "${ac_cv_type_size_t+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 9116 "configure"
+#line 9118 "configure"
#include "confdefs.h"
$ac_includes_default
int
@@ -9128,16 +9130,16 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9131: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9133: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:9134: \$? = $ac_status" >&5
+ echo "$as_me:9136: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:9137: \"$ac_try\"") >&5
+ { (eval echo "$as_me:9139: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:9140: \$? = $ac_status" >&5
+ echo "$as_me:9142: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_type_size_t=yes
else
@@ -9147,7 +9149,7 @@
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:9150: result: $ac_cv_type_size_t" >&5
+echo "$as_me:9152: result: $ac_cv_type_size_t" >&5
echo "${ECHO_T}$ac_cv_type_size_t" >&6
if test $ac_cv_type_size_t = yes; then
:
@@ -9159,13 +9161,13 @@
fi
-echo "$as_me:9162: checking for long long" >&5
+echo "$as_me:9164: checking for long long" >&5
echo $ECHO_N "checking for long long... $ECHO_C" >&6
if test "${ac_cv_type_long_long+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 9168 "configure"
+#line 9170 "configure"
#include "confdefs.h"
$ac_includes_default
int
@@ -9180,16 +9182,16 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9183: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9185: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:9186: \$? = $ac_status" >&5
+ echo "$as_me:9188: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:9189: \"$ac_try\"") >&5
+ { (eval echo "$as_me:9191: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:9192: \$? = $ac_status" >&5
+ echo "$as_me:9194: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_type_long_long=yes
else
@@ -9199,10 +9201,10 @@
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:9202: result: $ac_cv_type_long_long" >&5
+echo "$as_me:9204: result: $ac_cv_type_long_long" >&5
echo "${ECHO_T}$ac_cv_type_long_long" >&6
-echo "$as_me:9205: checking size of long long" >&5
+echo "$as_me:9207: checking size of long long" >&5
echo $ECHO_N "checking size of long long... $ECHO_C" >&6
if test "${ac_cv_sizeof_long_long+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -9211,7 +9213,7 @@
if test "$cross_compiling" = yes; then
# Depending upon the size, compute the lo and hi bounds.
cat >conftest.$ac_ext <<_ACEOF
-#line 9214 "configure"
+#line 9216 "configure"
#include "confdefs.h"
$ac_includes_default
int
@@ -9223,21 +9225,21 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9226: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9228: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:9229: \$? = $ac_status" >&5
+ echo "$as_me:9231: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:9232: \"$ac_try\"") >&5
+ { (eval echo "$as_me:9234: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:9235: \$? = $ac_status" >&5
+ echo "$as_me:9237: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_lo=0 ac_mid=0
while :; do
cat >conftest.$ac_ext <<_ACEOF
-#line 9240 "configure"
+#line 9242 "configure"
#include "confdefs.h"
$ac_includes_default
int
@@ -9249,16 +9251,16 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9252: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9254: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:9255: \$? = $ac_status" >&5
+ echo "$as_me:9257: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:9258: \"$ac_try\"") >&5
+ { (eval echo "$as_me:9260: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:9261: \$? = $ac_status" >&5
+ echo "$as_me:9263: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_hi=$ac_mid; break
else
@@ -9274,7 +9276,7 @@
ac_hi=-1 ac_mid=-1
while :; do
cat >conftest.$ac_ext <<_ACEOF
-#line 9277 "configure"
+#line 9279 "configure"
#include "confdefs.h"
$ac_includes_default
int
@@ -9286,16 +9288,16 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9289: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9291: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:9292: \$? = $ac_status" >&5
+ echo "$as_me:9294: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:9295: \"$ac_try\"") >&5
+ { (eval echo "$as_me:9297: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:9298: \$? = $ac_status" >&5
+ echo "$as_me:9300: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_lo=$ac_mid; break
else
@@ -9311,7 +9313,7 @@
while test "x$ac_lo" != "x$ac_hi"; do
ac_mid=`expr '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo`
cat >conftest.$ac_ext <<_ACEOF
-#line 9314 "configure"
+#line 9316 "configure"
#include "confdefs.h"
$ac_includes_default
int
@@ -9323,16 +9325,16 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9326: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9328: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:9329: \$? = $ac_status" >&5
+ echo "$as_me:9331: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:9332: \"$ac_try\"") >&5
+ { (eval echo "$as_me:9334: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:9335: \$? = $ac_status" >&5
+ echo "$as_me:9337: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_hi=$ac_mid
else
@@ -9345,12 +9347,12 @@
ac_cv_sizeof_long_long=$ac_lo
else
if test "$cross_compiling" = yes; then
- { { echo "$as_me:9348: error: cannot run test program while cross compiling" >&5
+ { { echo "$as_me:9350: error: cannot run test program while cross compiling" >&5
echo "$as_me: error: cannot run test program while cross compiling" >&2;}
{ (exit 1); exit 1; }; }
else
cat >conftest.$ac_ext <<_ACEOF
-#line 9353 "configure"
+#line 9355 "configure"
#include "confdefs.h"
$ac_includes_default
int
@@ -9366,15 +9368,15 @@
}
_ACEOF
rm -f conftest$ac_exeext
-if { (eval echo "$as_me:9369: \"$ac_link\"") >&5
+if { (eval echo "$as_me:9371: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:9372: \$? = $ac_status" >&5
+ echo "$as_me:9374: \$? = $ac_status" >&5
(exit $ac_status); } && { ac_try='./conftest$ac_exeext'
- { (eval echo "$as_me:9374: \"$ac_try\"") >&5
+ { (eval echo "$as_me:9376: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:9377: \$? = $ac_status" >&5
+ echo "$as_me:9379: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_sizeof_long_long=`cat conftest.val`
else
@@ -9390,19 +9392,19 @@
ac_cv_sizeof_long_long=0
fi
fi
-echo "$as_me:9393: result: $ac_cv_sizeof_long_long" >&5
+echo "$as_me:9395: result: $ac_cv_sizeof_long_long" >&5
echo "${ECHO_T}$ac_cv_sizeof_long_long" >&6
cat >>confdefs.h <<EOF
#define SIZEOF_LONG_LONG $ac_cv_sizeof_long_long
EOF
-echo "$as_me:9399: checking whether linux/input.h is for real" >&5
+echo "$as_me:9401: checking whether linux/input.h is for real" >&5
echo $ECHO_N "checking whether linux/input.h is for real... $ECHO_C" >&6
if test "${wine_cv_linux_input_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 9405 "configure"
+#line 9407 "configure"
#include "confdefs.h"
#include <linux/input.h>
@@ -9420,16 +9422,16 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9423: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9425: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:9426: \$? = $ac_status" >&5
+ echo "$as_me:9428: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:9429: \"$ac_try\"") >&5
+ { (eval echo "$as_me:9431: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:9432: \$? = $ac_status" >&5
+ echo "$as_me:9434: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
wine_cv_linux_input_h=yes
else
@@ -9440,7 +9442,7 @@
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:9443: result: $wine_cv_linux_input_h" >&5
+echo "$as_me:9445: result: $wine_cv_linux_input_h" >&5
echo "${ECHO_T}$wine_cv_linux_input_h" >&6
if test "$wine_cv_linux_input_h" = "yes"
then
@@ -9451,13 +9453,13 @@
fi
-echo "$as_me:9454: checking whether we can use re-entrant gethostbyname_r Linux style" >&5
+echo "$as_me:9456: checking whether we can use re-entrant gethostbyname_r Linux style" >&5
echo $ECHO_N "checking whether we can use re-entrant gethostbyname_r Linux style... $ECHO_C" >&6
if test "${wine_cv_linux_gethostbyname_r_6+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 9460 "configure"
+#line 9462 "configure"
#include "confdefs.h"
#include <netdb.h>
@@ -9483,16 +9485,16 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9486: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9488: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:9489: \$? = $ac_status" >&5
+ echo "$as_me:9491: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:9492: \"$ac_try\"") >&5
+ { (eval echo "$as_me:9494: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:9495: \$? = $ac_status" >&5
+ echo "$as_me:9497: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
wine_cv_linux_gethostbyname_r_6=yes
else
@@ -9504,7 +9506,7 @@
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:9507: result: $wine_cv_linux_gethostbyname_r_6" >&5
+echo "$as_me:9509: result: $wine_cv_linux_gethostbyname_r_6" >&5
echo "${ECHO_T}$wine_cv_linux_gethostbyname_r_6" >&6
if test "$wine_cv_linux_gethostbyname_r_6" = "yes"
then
@@ -9517,13 +9519,13 @@
if test "$ac_cv_header_linux_joystick_h" = "yes"
then
- echo "$as_me:9520: checking whether linux/joystick.h uses the Linux 2.2+ API" >&5
+ echo "$as_me:9522: checking whether linux/joystick.h uses the Linux 2.2+ API" >&5
echo $ECHO_N "checking whether linux/joystick.h uses the Linux 2.2+ API... $ECHO_C" >&6
if test "${wine_cv_linux_joystick_22_api+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 9526 "configure"
+#line 9528 "configure"
#include "confdefs.h"
#include <sys/ioctl.h>
@@ -9543,16 +9545,16 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9546: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9548: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:9549: \$? = $ac_status" >&5
+ echo "$as_me:9551: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:9552: \"$ac_try\"") >&5
+ { (eval echo "$as_me:9554: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:9555: \$? = $ac_status" >&5
+ echo "$as_me:9557: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
wine_cv_linux_joystick_22_api=yes
else
@@ -9563,7 +9565,7 @@
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:9566: result: $wine_cv_linux_joystick_22_api" >&5
+echo "$as_me:9568: result: $wine_cv_linux_joystick_22_api" >&5
echo "${ECHO_T}$wine_cv_linux_joystick_22_api" >&6
if test "$wine_cv_linux_joystick_22_api" = "yes"
then
@@ -9577,13 +9579,13 @@
if test "$ac_cv_header_sys_vfs_h" = "yes"
then
- echo "$as_me:9580: checking whether sys/vfs.h defines statfs" >&5
+ echo "$as_me:9582: checking whether sys/vfs.h defines statfs" >&5
echo $ECHO_N "checking whether sys/vfs.h defines statfs... $ECHO_C" >&6
if test "${wine_cv_sys_vfs_has_statfs+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 9586 "configure"
+#line 9588 "configure"
#include "confdefs.h"
#include <sys/types.h>
@@ -9605,16 +9607,16 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9608: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9610: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:9611: \$? = $ac_status" >&5
+ echo "$as_me:9613: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:9614: \"$ac_try\"") >&5
+ { (eval echo "$as_me:9616: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:9617: \$? = $ac_status" >&5
+ echo "$as_me:9619: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
wine_cv_sys_vfs_has_statfs=yes
else
@@ -9626,7 +9628,7 @@
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:9629: result: $wine_cv_sys_vfs_has_statfs" >&5
+echo "$as_me:9631: result: $wine_cv_sys_vfs_has_statfs" >&5
echo "${ECHO_T}$wine_cv_sys_vfs_has_statfs" >&6
if test "$wine_cv_sys_vfs_has_statfs" = "yes"
then
@@ -9640,13 +9642,13 @@
if test "$ac_cv_header_sys_statfs_h" = "yes"
then
- echo "$as_me:9643: checking whether sys/statfs.h defines statfs" >&5
+ echo "$as_me:9645: checking whether sys/statfs.h defines statfs" >&5
echo $ECHO_N "checking whether sys/statfs.h defines statfs... $ECHO_C" >&6
if test "${wine_cv_sys_statfs_has_statfs+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 9649 "configure"
+#line 9651 "configure"
#include "confdefs.h"
#include <sys/types.h>
@@ -9666,16 +9668,16 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9669: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9671: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:9672: \$? = $ac_status" >&5
+ echo "$as_me:9674: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:9675: \"$ac_try\"") >&5
+ { (eval echo "$as_me:9677: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:9678: \$? = $ac_status" >&5
+ echo "$as_me:9680: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
wine_cv_sys_statfs_has_statfs=yes
else
@@ -9687,7 +9689,7 @@
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:9690: result: $wine_cv_sys_statfs_has_statfs" >&5
+echo "$as_me:9692: result: $wine_cv_sys_statfs_has_statfs" >&5
echo "${ECHO_T}$wine_cv_sys_statfs_has_statfs" >&6
if test "$wine_cv_sys_statfs_has_statfs" = "yes"
then
@@ -9701,13 +9703,13 @@
if test "$ac_cv_header_sys_mount_h" = "yes"
then
- echo "$as_me:9704: checking whether sys/mount.h defines statfs" >&5
+ echo "$as_me:9706: checking whether sys/mount.h defines statfs" >&5
echo $ECHO_N "checking whether sys/mount.h defines statfs... $ECHO_C" >&6
if test "${wine_cv_sys_mount_has_statfs+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 9710 "configure"
+#line 9712 "configure"
#include "confdefs.h"
#include <sys/types.h>
@@ -9727,16 +9729,16 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9730: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9732: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:9733: \$? = $ac_status" >&5
+ echo "$as_me:9735: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:9736: \"$ac_try\"") >&5
+ { (eval echo "$as_me:9738: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:9739: \$? = $ac_status" >&5
+ echo "$as_me:9741: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
wine_cv_sys_mount_has_statfs=yes
else
@@ -9748,7 +9750,7 @@
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:9751: result: $wine_cv_sys_mount_has_statfs" >&5
+echo "$as_me:9753: result: $wine_cv_sys_mount_has_statfs" >&5
echo "${ECHO_T}$wine_cv_sys_mount_has_statfs" >&6
if test "$wine_cv_sys_mount_has_statfs" = "yes"
then
@@ -9760,13 +9762,13 @@
fi
fi
-echo "$as_me:9763: checking for f_bfree in struct statfs" >&5
+echo "$as_me:9765: checking for f_bfree in struct statfs" >&5
echo $ECHO_N "checking for f_bfree in struct statfs... $ECHO_C" >&6
if test "${ac_cv_c_statfs_f_bfree+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 9769 "configure"
+#line 9771 "configure"
#include "confdefs.h"
#include <sys/types.h>
#ifdef HAVE_SYS_PARAM_H
@@ -9792,16 +9794,16 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9795: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9797: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:9798: \$? = $ac_status" >&5
+ echo "$as_me:9800: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:9801: \"$ac_try\"") >&5
+ { (eval echo "$as_me:9803: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:9804: \$? = $ac_status" >&5
+ echo "$as_me:9806: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_c_statfs_f_bfree="yes"
else
@@ -9811,7 +9813,7 @@
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:9814: result: $ac_cv_c_statfs_f_bfree" >&5
+echo "$as_me:9816: result: $ac_cv_c_statfs_f_bfree" >&5
echo "${ECHO_T}$ac_cv_c_statfs_f_bfree" >&6
if test "x$ac_cv_c_statfs_f_bfree" = "xyes"; then
@@ -9821,13 +9823,13 @@
fi
-echo "$as_me:9824: checking for f_bavail in struct statfs" >&5
+echo "$as_me:9826: checking for f_bavail in struct statfs" >&5
echo $ECHO_N "checking for f_bavail in struct statfs... $ECHO_C" >&6
if test "${ac_cv_c_statfs_f_bavail+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 9830 "configure"
+#line 9832 "configure"
#include "confdefs.h"
#include <sys/types.h>
#ifdef HAVE_SYS_PARAM_H
@@ -9853,16 +9855,16 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9856: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9858: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:9859: \$? = $ac_status" >&5
+ echo "$as_me:9861: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:9862: \"$ac_try\"") >&5
+ { (eval echo "$as_me:9864: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:9865: \$? = $ac_status" >&5
+ echo "$as_me:9867: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_c_statfs_f_bavail="yes"
else
@@ -9872,7 +9874,7 @@
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:9875: result: $ac_cv_c_statfs_f_bavail" >&5
+echo "$as_me:9877: result: $ac_cv_c_statfs_f_bavail" >&5
echo "${ECHO_T}$ac_cv_c_statfs_f_bavail" >&6
if test "x$ac_cv_c_statfs_f_bavail" = "xyes"; then
@@ -9882,13 +9884,13 @@
fi
-echo "$as_me:9885: checking for msg_accrights in struct msghdr" >&5
+echo "$as_me:9887: checking for msg_accrights in struct msghdr" >&5
echo $ECHO_N "checking for msg_accrights in struct msghdr... $ECHO_C" >&6
if test "${ac_cv_c_msghdr_msg_accrights+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 9891 "configure"
+#line 9893 "configure"
#include "confdefs.h"
#include <sys/types.h>
#include <sys/socket.h>
@@ -9901,16 +9903,16 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9904: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9906: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:9907: \$? = $ac_status" >&5
+ echo "$as_me:9909: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:9910: \"$ac_try\"") >&5
+ { (eval echo "$as_me:9912: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:9913: \$? = $ac_status" >&5
+ echo "$as_me:9915: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_c_msghdr_msg_accrights="yes"
else
@@ -9920,7 +9922,7 @@
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:9923: result: $ac_cv_c_msghdr_msg_accrights" >&5
+echo "$as_me:9925: result: $ac_cv_c_msghdr_msg_accrights" >&5
echo "${ECHO_T}$ac_cv_c_msghdr_msg_accrights" >&6
if test "x$ac_cv_c_msghdr_msg_accrights" = "xyes"; then
@@ -9930,13 +9932,13 @@
fi
-echo "$as_me:9933: checking for sa_len in struct sockaddr" >&5
+echo "$as_me:9935: checking for sa_len in struct sockaddr" >&5
echo $ECHO_N "checking for sa_len in struct sockaddr... $ECHO_C" >&6
if test "${ac_cv_c_sockaddr_sa_len+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 9939 "configure"
+#line 9941 "configure"
#include "confdefs.h"
#include <sys/types.h>
#include <sys/socket.h>
@@ -9949,16 +9951,16 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:9952: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:9954: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:9955: \$? = $ac_status" >&5
+ echo "$as_me:9957: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:9958: \"$ac_try\"") >&5
+ { (eval echo "$as_me:9960: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:9961: \$? = $ac_status" >&5
+ echo "$as_me:9963: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_c_sockaddr_sa_len="yes"
else
@@ -9968,7 +9970,7 @@
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:9971: result: $ac_cv_c_sockaddr_sa_len" >&5
+echo "$as_me:9973: result: $ac_cv_c_sockaddr_sa_len" >&5
echo "${ECHO_T}$ac_cv_c_sockaddr_sa_len" >&6
if test "x$ac_cv_c_sockaddr_sa_len" = "xyes"; then
@@ -9978,13 +9980,13 @@
fi
-echo "$as_me:9981: checking for sun_len in struct sockaddr_un" >&5
+echo "$as_me:9983: checking for sun_len in struct sockaddr_un" >&5
echo $ECHO_N "checking for sun_len in struct sockaddr_un... $ECHO_C" >&6
if test "${ac_cv_c_sockaddr_un_sun_len+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 9987 "configure"
+#line 9989 "configure"
#include "confdefs.h"
#include <sys/types.h>
#include <sys/socket.h>
@@ -9998,16 +10000,16 @@
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:10001: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:10003: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:10004: \$? = $ac_status" >&5
+ echo "$as_me:10006: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:10007: \"$ac_try\"") >&5
+ { (eval echo "$as_me:10009: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:10010: \$? = $ac_status" >&5
+ echo "$as_me:10012: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_c_sockaddr_un_sun_len="yes"
else
@@ -10017,7 +10019,7 @@
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
-echo "$as_me:10020: result: $ac_cv_c_sockaddr_un_sun_len" >&5
+echo "$as_me:10022: result: $ac_cv_c_sockaddr_un_sun_len" >&5
echo "${ECHO_T}$ac_cv_c_sockaddr_un_sun_len" >&6
if test "x$ac_cv_c_sockaddr_un_sun_len" = "xyes"; then
@@ -10029,13 +10031,13 @@
case $target_cpu in
*i345678986* )
- echo "$as_me:10032: checking whether we need to define __i386__" >&5
+ echo "$as_me:10034: checking whether we need to define __i386__" >&5
echo $ECHO_N "checking whether we need to define __i386__... $ECHO_C" >&6
if test "${ac_cv_cpp_def_i386+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
-#line 10038 "configure"
+#line 10040 "configure"
#include "confdefs.h"
#ifndef __i386__
yes
@@ -10050,7 +10052,7 @@
rm -f conftest*
fi
-echo "$as_me:10053: result: $ac_cv_cpp_def_i386" >&5
+echo "$as_me:10055: result: $ac_cv_cpp_def_i386" >&5
echo "${ECHO_T}$ac_cv_cpp_def_i386" >&6
;;
esac
@@ -10185,7 +10187,7 @@
: ${CONFIG_STATUS=./config.status}
ac_clean_files_save=$ac_clean_files
ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:10188: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:10190: creating $CONFIG_STATUS" >&5
echo "$as_me: creating $CONFIG_STATUS" >&6;}
cat >$CONFIG_STATUS <<_ACEOF
#! $SHELL
@@ -10361,7 +10363,7 @@
echo "$ac_cs_version"; exit 0 ;;
--he | --h)
# Conflict between --help and --header
- { { echo "$as_me:10364: error: ambiguous option: $1
+ { { echo "$as_me:10366: error: ambiguous option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: ambiguous option: $1
Try \`$0 --help' for more information." >&2;}
@@ -10380,7 +10382,7 @@
ac_need_defaults=false;;
# This is an error.
- -*) { { echo "$as_me:10383: error: unrecognized option: $1
+ -*) { { echo "$as_me:10385: error: unrecognized option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: unrecognized option: $1
Try \`$0 --help' for more information." >&2;}
@@ -10585,7 +10587,7 @@
"programs/winetest/tests" ) CONFIG_COMMANDS="$CONFIG_COMMANDS programs/winetest/tests" ;;
"include/wine/version.h" ) CONFIG_COMMANDS="$CONFIG_COMMANDS include/wine/version.h" ;;
"include/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS include/config.h" ;;
- *) { { echo "$as_me:10588: error: invalid argument: $ac_config_target" >&5
+ *) { { echo "$as_me:10590: error: invalid argument: $ac_config_target" >&5
echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
{ (exit 1); exit 1; }; };;
esac
@@ -10725,6 +10727,7 @@
s,@FREETYPEINCL@,$FREETYPEINCL,;t t
s,@DLLWRAP@,$DLLWRAP,;t t
s,@DLLFLAGS@,$DLLFLAGS,;t t
+s,@DLLEXT@,$DLLEXT,;t t
s,@LDSHARED@,$LDSHARED,;t t
s,@LDDLLFLAGS@,$LDDLLFLAGS,;t t
s,@LIBEXT@,$LIBEXT,;t t
@@ -10850,7 +10853,7 @@
esac
if test x"$ac_file" != x-; then
- { echo "$as_me:10853: creating $ac_file" >&5
+ { echo "$as_me:10856: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
rm -f "$ac_file"
fi
@@ -10868,7 +10871,7 @@
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
- test -f "$f" || { { echo "$as_me:10871: error: cannot find input file: $f" >&5
+ test -f "$f" || { { echo "$as_me:10874: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
@@ -10881,7 +10884,7 @@
echo $srcdir/$f
else
# /dev/null tree
- { { echo "$as_me:10884: error: cannot find input file: $f" >&5
+ { { echo "$as_me:10887: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
@@ -10942,7 +10945,7 @@
* ) ac_file_in=$ac_file.in ;;
esac
- test x"$ac_file" != x- && { echo "$as_me:10945: creating $ac_file" >&5
+ test x"$ac_file" != x- && { echo "$as_me:10948: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
# First look for the input files in the build tree, otherwise in the
@@ -10953,7 +10956,7 @@
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
- test -f "$f" || { { echo "$as_me:10956: error: cannot find input file: $f" >&5
+ test -f "$f" || { { echo "$as_me:10959: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
@@ -10966,7 +10969,7 @@
echo $srcdir/$f
else
# /dev/null tree
- { { echo "$as_me:10969: error: cannot find input file: $f" >&5
+ { { echo "$as_me:10972: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
@@ -11083,7 +11086,7 @@
rm -f $tmp/in
if test x"$ac_file" != x-; then
if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
- { echo "$as_me:11086: $ac_file is unchanged" >&5
+ { echo "$as_me:11089: $ac_file is unchanged" >&5
echo "$as_me: $ac_file is unchanged" >&6;}
else
ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
@@ -11134,50 +11137,50 @@
ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
case $ac_dest in
- dlls/ddraw/d3ddevice ) test -d "dlls/ddraw/d3ddevice" || ({ echo "$as_me:11137: creating dlls/ddraw/d3ddevice" >&5
+ dlls/ddraw/d3ddevice ) test -d "dlls/ddraw/d3ddevice" || ({ echo "$as_me:11140: creating dlls/ddraw/d3ddevice" >&5
echo "$as_me: creating dlls/ddraw/d3ddevice" >&6;} && mkdir "dlls/ddraw/d3ddevice") ;;
- dlls/ddraw/dclipper ) test -d "dlls/ddraw/dclipper" || ({ echo "$as_me:11139: creating dlls/ddraw/dclipper" >&5
+ dlls/ddraw/dclipper ) test -d "dlls/ddraw/dclipper" || ({ echo "$as_me:11142: creating dlls/ddraw/dclipper" >&5
echo "$as_me: creating dlls/ddraw/dclipper" >&6;} && mkdir "dlls/ddraw/dclipper") ;;
- dlls/ddraw/ddraw ) test -d "dlls/ddraw/ddraw" || ({ echo "$as_me:11141: creating dlls/ddraw/ddraw" >&5
+ dlls/ddraw/ddraw ) test -d "dlls/ddraw/ddraw" || ({ echo "$as_me:11144: creating dlls/ddraw/ddraw" >&5
echo "$as_me: creating dlls/ddraw/ddraw" >&6;} && mkdir "dlls/ddraw/ddraw") ;;
- dlls/ddraw/direct3d ) test -d "dlls/ddraw/direct3d" || ({ echo "$as_me:11143: creating dlls/ddraw/direct3d" >&5
+ dlls/ddraw/direct3d ) test -d "dlls/ddraw/direct3d" || ({ echo "$as_me:11146: creating dlls/ddraw/direct3d" >&5
echo "$as_me: creating dlls/ddraw/direct3d" >&6;} && mkdir "dlls/ddraw/direct3d") ;;
- dlls/ddraw/dpalette ) test -d "dlls/ddraw/dpalette" || ({ echo "$as_me:11145: creating dlls/ddraw/dpalette" >&5
+ dlls/ddraw/dpalette ) test -d "dlls/ddraw/dpalette" || ({ echo "$as_me:11148: creating dlls/ddraw/dpalette" >&5
echo "$as_me: creating dlls/ddraw/dpalette" >&6;} && mkdir "dlls/ddraw/dpalette") ;;
- dlls/ddraw/dsurface ) test -d "dlls/ddraw/dsurface" || ({ echo "$as_me:11147: creating dlls/ddraw/dsurface" >&5
+ dlls/ddraw/dsurface ) test -d "dlls/ddraw/dsurface" || ({ echo "$as_me:11150: creating dlls/ddraw/dsurface" >&5
echo "$as_me: creating dlls/ddraw/dsurface" >&6;} && mkdir "dlls/ddraw/dsurface") ;;
- dlls/dinput/joystick ) test -d "dlls/dinput/joystick" || ({ echo "$as_me:11149: creating dlls/dinput/joystick" >&5
+ dlls/dinput/joystick ) test -d "dlls/dinput/joystick" || ({ echo "$as_me:11152: creating dlls/dinput/joystick" >&5
echo "$as_me: creating dlls/dinput/joystick" >&6;} && mkdir "dlls/dinput/joystick") ;;
- dlls/dinput/keyboard ) test -d "dlls/dinput/keyboard" || ({ echo "$as_me:11151: creating dlls/dinput/keyboard" >&5
+ dlls/dinput/keyboard ) test -d "dlls/dinput/keyboard" || ({ echo "$as_me:11154: creating dlls/dinput/keyboard" >&5
echo "$as_me: creating dlls/dinput/keyboard" >&6;} && mkdir "dlls/dinput/keyboard") ;;
- dlls/dinput/mouse ) test -d "dlls/dinput/mouse" || ({ echo "$as_me:11153: creating dlls/dinput/mouse" >&5
+ dlls/dinput/mouse ) test -d "dlls/dinput/mouse" || ({ echo "$as_me:11156: creating dlls/dinput/mouse" >&5
echo "$as_me: creating dlls/dinput/mouse" >&6;} && mkdir "dlls/dinput/mouse") ;;
- dlls/kernel/messages ) test -d "dlls/kernel/messages" || ({ echo "$as_me:11155: creating dlls/kernel/messages" >&5
+ dlls/kernel/messages ) test -d "dlls/kernel/messages" || ({ echo "$as_me:11158: creating dlls/kernel/messages" >&5
echo "$as_me: creating dlls/kernel/messages" >&6;} && mkdir "dlls/kernel/messages") ;;
- dlls/kernel/tests ) test -d "dlls/kernel/tests" || ({ echo "$as_me:11157: creating dlls/kernel/tests" >&5
+ dlls/kernel/tests ) test -d "dlls/kernel/tests" || ({ echo "$as_me:11160: creating dlls/kernel/tests" >&5
echo "$as_me: creating dlls/kernel/tests" >&6;} && mkdir "dlls/kernel/tests") ;;
- dlls/user/dde ) test -d "dlls/user/dde" || ({ echo "$as_me:11159: creating dlls/user/dde" >&5
+ dlls/user/dde ) test -d "dlls/user/dde" || ({ echo "$as_me:11162: creating dlls/user/dde" >&5
echo "$as_me: creating dlls/user/dde" >&6;} && mkdir "dlls/user/dde") ;;
- dlls/user/resources ) test -d "dlls/user/resources" || ({ echo "$as_me:11161: creating dlls/user/resources" >&5
+ dlls/user/resources ) test -d "dlls/user/resources" || ({ echo "$as_me:11164: creating dlls/user/resources" >&5
echo "$as_me: creating dlls/user/resources" >&6;} && mkdir "dlls/user/resources") ;;
- dlls/user/tests ) test -d "dlls/user/tests" || ({ echo "$as_me:11163: creating dlls/user/tests" >&5
+ dlls/user/tests ) test -d "dlls/user/tests" || ({ echo "$as_me:11166: creating dlls/user/tests" >&5
echo "$as_me: creating dlls/user/tests" >&6;} && mkdir "dlls/user/tests") ;;
- dlls/wineps/data ) test -d "dlls/wineps/data" || ({ echo "$as_me:11165: creating dlls/wineps/data" >&5
+ dlls/wineps/data ) test -d "dlls/wineps/data" || ({ echo "$as_me:11168: creating dlls/wineps/data" >&5
echo "$as_me: creating dlls/wineps/data" >&6;} && mkdir "dlls/wineps/data") ;;
- include/wine ) test -d "include/wine" || ({ echo "$as_me:11167: creating include/wine" >&5
+ include/wine ) test -d "include/wine" || ({ echo "$as_me:11170: creating include/wine" >&5
echo "$as_me: creating include/wine" >&6;} && mkdir "include/wine") ;;
- programs/regapi/tests ) test -d "programs/regapi/tests" || ({ echo "$as_me:11169: creating programs/regapi/tests" >&5
+ programs/regapi/tests ) test -d "programs/regapi/tests" || ({ echo "$as_me:11172: creating programs/regapi/tests" >&5
echo "$as_me: creating programs/regapi/tests" >&6;} && mkdir "programs/regapi/tests") ;;
- programs/winetest/tests ) test -d "programs/winetest/tests" || ({ echo "$as_me:11171: creating programs/winetest/tests" >&5
+ programs/winetest/tests ) test -d "programs/winetest/tests" || ({ echo "$as_me:11174: creating programs/winetest/tests" >&5
echo "$as_me: creating programs/winetest/tests" >&6;} && mkdir "programs/winetest/tests") ;;
- include/wine/version.h ) { echo "$as_me:11173: creating include/wine/version.h" >&5
+ include/wine/version.h ) { echo "$as_me:11176: creating include/wine/version.h" >&5
echo "$as_me: creating include/wine/version.h" >&6;}
cat >$tmp/version.h <<CEOF
/* Generated automatically by configure; DO NOT EDIT! */
#define WINE_RELEASE_INFO "Wine version $wine_version"
CEOF
if cmp -s $tmp/version.h include/wine/version.h 2>/dev/null; then
- { echo "$as_me:11180: include/wine/version.h is unchanged" >&5
+ { echo "$as_me:11183: include/wine/version.h is unchanged" >&5
echo "$as_me: include/wine/version.h is unchanged" >&6;}
rm -f $tmp/version.h
else